Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface ListValue

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `Expression`, `LiteralValueReference`, `org.eclipse.emf.common.notify.Notifier`, `ValueReference`
  All Known Implementing Classes:
    `ListValueImpl`

      public interface ListValue
      extends LiteralValueReference

  A representation of the model object 'List Value'.

  The following features are supported:

  - `Values`
  See Also:
    `PatternLanguagePackage.getListValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<ValueReference>` | `getValues()` | Returns the value of the 'Values' containment reference list.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValues

          org.eclipse.emf.common.util.EList<ValueReference> getValues()

      Returns the value of the 'Values' containment reference list. The list contents are of type `ValueReference`.
      Returns:
        the value of the 'Values' containment reference list.
      See Also:
        `PatternLanguagePackage.getListValue_Values()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `LiteralValueReference`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: